# Examples

Welcome to the examples section of the `gigaspatial` package. Here, you’ll find practical examples that demonstrate how to use the package for various geospatial data tasks.

## Getting Started

If you’re new to `gigaspatial`, start with the [Quick Start Guide](../getting-started/quickstart.md) to learn the basics.

---

## Example Categories

### 1. **Data Downloading**
Learn how to download geospatial data from various sources.

- [Downloading GHSL Data](downloading/ghsl.md)
- [Fetching OSM Data](downloading/osm.md)

### 2. **Data Processing**
Explore examples of processing geospatial data, such as GeoTIFF files.

- [Processing GeoTIFF Files](processing/tif.md)

### 3. **Data Storage** *(In Progress)*
Discover how to store and retrieve geospatial data in different formats.

- [Saving Data to GeoJSON](storage/geojson.md) *(Coming Soon)*
- [Storing Data in a Database](storage/database.md) *(Coming Soon)*

### 4. **Data Visualization** *(In Progress)*
Learn how to visualize geospatial data using popular libraries.

- [Plotting Data with Matplotlib](visualization/matplotlib.md) *(Coming Soon)*
- [Creating Interactive Maps with Folium](visualization/folium.md) *(Coming Soon)*

### 5. **Advanced Use Cases** *(In Progress)*
Explore advanced examples that combine multiple functionalities.

- [Building a Geospatial Pipeline](advanced/pipeline.md) *(Coming Soon)*
- [Integrating with External APIs](advanced/api_integration.md) *(Coming Soon)*

---

## Contributing Examples

If you’d like to contribute your own examples, please follow the [Contributing Guidelines](../contributing.md).

---

## Feedback

If you have suggestions for additional examples or encounter any issues, feel free to [open an issue](https://github.com/unicef/giga-spatial/issues) or [join our Discord community](https://discord.com/invite/NStBwE7kyv).
