# User Guide

Welcome to the User Guide for the `gigaspatial` package. This guide provides detailed documentation on how to use the package for various geospatial data tasks.

## Getting Started

If you’re new to `gigaspatial`, start with the [Quick Start Guide](../getting-started/quickstart.md) to learn the basics.

---

## Core Concepts

### 1. **Configuration**
Learn how to configure the package, including setting paths, API keys, and other settings.

- [Configuration Overview](configuration.md)
- [Using Environment Variables](configuration.md#using-environment-variables)
- [Setting Paths and Keys Manually](configuration.md#setting-paths-and-keys-manually)

---

## Additional Resources

- [Examples](../examples/): Real-world examples and use cases.
- [API Reference](../api/): Detailed documentation of all classes and functions.
- [Changelog](../changelog.md): Information about the latest updates and changes.
- [Contributing](../contributing.md): Guidelines for contributing to the project.

---

## Support

If you encounter any issues or have questions, feel free to [open an issue](https://github.com/unicef/giga-spatial/issues) or [join our Discord community](https://discord.com/invite/NStBwE7kyv).
